## python-asyncinotify 4.2.1

=== docs/requirements.txt ===
sphinx
tomli; python_version < "3.11.0"
furo == 2024.04.27

=== debian/changelog ===
python-asyncinotify (4.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1118266)

 -- Edward Betts <edward@4angle.com>  Fri, 17 Oct 2025 16:07:19 +0100

=== debian/control ===
Source: python-asyncinotify
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 flit,
 pybuild-plugin-pyproject,
 python3-all,
Build-Depends-Indep:
 furo <!nodoc>,
 python3-pytest <!nocheck>,
 python3-sphinx <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://github.com/ProCern/asyncinotify
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-asyncinotify
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-asyncinotify.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-asyncinotify
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Asynchronous inotify interface for monitoring filesystem events
 This library provides Python bindings to the inotify subsystem, enabling
 monitoring of filesystem events such as file creation, modification, deletion,
 attribute changes, and movement on directories and files. Events are
 represented with descriptive objects and path handling is performed using
 standard Python types, including those that may not be valid UTF-8. Multiple
 event types and flags are supported, giving fine-grained control over which
 filesystem changes are reported.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=test.py

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR)/src LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

=== debian/watch ===
Version: 5

Template: Github
Owner: ProCern
Project: asyncinotify

## python-asyncinotify 4.3.2

=== debian/changelog ===
python-asyncinotify (4.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 22 Nov 2025 10:52:11 +0800

## python-asyncinotify 4.4.0

=== debian/changelog ===
python-asyncinotify (4.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sun, 15 Feb 2026 09:13:13 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -15,7 +14,7 @@
  furo <!nodoc>,
  python3-pytest <!nocheck>,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/ProCern/asyncinotify
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-asyncinotify
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-asyncinotify.git
